import { UxAppShellService } from '@eui/core';
import * as i0 from "@angular/core";
export declare class EuiUserProfileComponent {
    asServie: UxAppShellService;
    hasWelcomeLabel: boolean;
    welcomeLabel: string;
    impersonateLabel: string;
    avatarUrl: string;
    get euiUserProfileSizeS(): boolean;
    set euiUserProfileSizeS(value: boolean);
    _euiUserProfileSizeS: boolean;
    isOnline: boolean;
    constructor(asServie: UxAppShellService);
    get cssClasses(): any;
    getCssClasses(): string;
    static ɵfac: i0.ɵɵFactoryDef<EuiUserProfileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiUserProfileComponent, "eui-user-profile", never, { "hasWelcomeLabel": "hasWelcomeLabel"; "welcomeLabel": "welcomeLabel"; "impersonateLabel": "impersonateLabel"; "avatarUrl": "avatarUrl"; "euiUserProfileSizeS": "euiUserProfileSizeS"; }, {}, never, ["*"]>;
}
